# =======================
# Horse Isle Server Configuration    
# =======================
# 
# Configuration Version 1.3.1
# HISP was Created and Developed by SilicaAndPina
# However it is NOT COPYRIGHTED! This software is in the Public Domain!
#
# Ip address the server will bind to (default: 0.0.0.0 ALL INTERFACES)
ip=0.0.0.0

# Port the server will bind to defaults: (on beta.horseisle.com: 12321, on pinto.horseisle.com: 443)
# Though, 443 is likely to interfere with TLS, if you happen to have a web server or something
# running on the same port, so i prefer 12321.
port=12321

# MariaDB Database Information
# For best performance, the database should be hosted on the SAME MACHINE as the HISP server.
# Or atleast, on a local network.
db_ip=127.0.0.1
db_name=game1
db_username=root
db_password=test123
db_port=3306

# Connect to a sqllite database instead of a sql server.
sql_lite=false

# File that contains the map tile data
# the default was downloaded from the original server
map=HI1.MAP

# This file contains all definitions in the game
# such as items, horses. and quest data.
gamedata=gamedata.json

# =======================
# Security               
# =======================

# Adobe Flash; Cross-Domain Policy File. (see: https://web.archive.org/web/20170610235331if_/http://www.adobe.com/devnet/flashplayer/articles/socket_policy_files.html)
# The default file, just allows all domains access to all ports.
crossdomain=CrossDomainPolicy.xml

# =======================
# Chat Filter Settings   
# =======================

# Wether to block 'bad' words
# ex 'Fuck You!' gets blocked
enable_word_filter=true

# Wether to expand slang.
# ex 'lol' becomes '*laughing out loud!*'
# (NOTE: This feature is also used to filter some less-'bad' words disabling it will allow users to say them!)
enable_corrections=true

# Include non-violations
# stuff like blocking you from saying your password in chat
# and FULL CAPS messages.
enable_non_violation_check=true

# Limits ad and global chat
# to just a few messages every minute
# by each user
enable_spam_filter=true

# =======================
# Misc Settings.         
# =======================

# Should the server consider all users "Subscribers"
# (warning: makes ranches be in use forever.)
all_users_subscribed=false

# Red Text Stating "Todays Note:"
# Default is "April 11, 2020. New breed, Camarillo White Horse. Two new quests."
motd=April 11, 2020. New breed, Camarillo White Horse. Two new quests.

# Equation is: BANK_BALANCE * (1/INTREST_RATE);
# on All servers except Black its 3333, on black its 1000.
# but of course you can make it whatever you want
intrest_rate=3333

# Should i fix bugs all the bugs
# That were in the original Horse Isle Game??
# (eg training, special treat, ranch descriptions, etc)
fix_offical_bugs=false

# Should print extra debug logs
# 0 - no logs
# 1 - errors only
# 2 - errors, warnings
# 3 - errors, warnings, hackers
# 4 - errors, warnings, hackers,  info,
# 5 - debug, errors, warnings, info, hackers
log_level=4